Subject: Re: [RFC] Git Wiki Move

From: "J.H." <[email-masked]>
Date: Sun, 17 Jan 2010 16:43:24 -0800

On 01/17/2010 03:06 PM, Johannes Schindelin wrote:
> Hi,
> 
> On Sun, 17 Jan 2010, Matthieu Moy wrote:
> 
>> "J.H." <[email-masked]> writes:
>>
>>> Quick update - I think I've got the vast majority of the obvious and
>>> simple to correct problems fixed at http://git.wiki.kernel.org anyone
>>> want to run through and see if there's anything else that would be
>>> considered a show stopper?
>>
>> The main page is locked, and there are some broken links formatting in
>> the News section: http://git.wiki.kernel.org/index.php/Main_Page#News
>> I'm user "Moy" there if you want to let me fix them.
> 
> I think I managed to edit them.

You have to have a confirmed e-mail account to be able to edit anything,
the errors on why you can't edit are fairly straight forward.

> 
>> You should set $wgLogo to some Git logo, among
>> http://git.or.cz/gitwiki/GitRelatedLogos
> 
> Best would be the standard one: http://git.or.cz/git-logo.png but I would 
> actually also like http://henrik.nyh.se/uploads/git-logo.png.

I'd leave that up to the greater community.  The second one there would
fit better on the page honestly, but I don't want to go making a logo
decision for the entirety of the project.

> 
>> You can also add a few links to the sidebar, by editting:
>> http://git.wiki.kernel.org/index.php/MediaWiki:Sidebar
>>
>> (it seems I don't have permission to do it myself).
> 
> You need to be in the Sysop list to do so.  Warthog, if you trust me :-) 
> would you mind adding me to that group?  You can do that by visiting
> 
> http://git.wiki.kernel.org/index.php/Special:Userrights
> 
> when you are a sysop.

Done.

> 
>> I suggest taking the ones of the front-page:
>>
>> * Starting points
>> ** Installation|Installation
>> ** InterfacesFrontendsAndTools|Git Tools
>> ** GitDocumentation|Git Documentation
>> ** GitCommunity|Git Community Support
>> ** GitProjects|Projects using Git
>> ** GitFaq|FAQ
>> ** GitHosting|Git Hosting
>> ** GitLinks|Git Links
>> ** GitComparison|Git Compared
> 
> Let's not forget
> 
> * navigation
> ** mainpage|mainpage-description
> ** recentchanges-url|recentchanges
> ** randompage-url|randompage
> ** helppage|help
> * SEARCH
> * TOOLBOX
> 
> BTW there is a file KHTMLFixes.css in the directory skins/monobook/ which 
> makes the layout break with Chromium.  Apparently, it is no longer needed 
> by KHTML anyway.  So could you please replace that file with an empty one, 
> or comment out the offending part, like so:
> 
> 	/* #column-content { margin-left: 0; } */

I'm not keen on making changes since that file is still coming from the
shipping version of mediawiki and I'm trying, quite a lot, to not run a
modified version of it.  I've got enough troubles with the fact that
that one change would affect 22 wikis in a single go.

As bad as it is to say this, I'd rather wait for 1.16 to come out vs.
modify it in place.  Mediawiki is claiming they are in continuous
integration development with quarterly releases but their last release
was June of 2009, so take that as you will.

- John 'Warthog9' Hawley